@article{richiardi2012,
author = {Matteo Richiardi},
title = {Agent-based Computational Economics. A Short Introduction.},
journal = {The Knowledge Engineering Review},
volume = {27:2},
pages = {137-149},
year = {2012}
}

@article{north2010,
author = {North, Michael J. and Macal, Charles M. and Aubin, James St. and Thimmapuram, Prakash and Bragen, Mark and Hahn, June and Karr, James and Brigham, Nancy and Lacy, Mark E. and Hampton, Delaine},
title = {Multiscale agent-based consumer market modeling},
journal = {Complexity},
volume = {15},
number = {5},
pages = {37-47},
keywords = {consumer market modeling, multiscale modeling, agent-based modeling},
doi = {https://doi.org/10.1002/cplx.20304},
url = {https://onlinelibrary.wiley.com/doi/abs/10.1002/cplx.20304},
eprint = {https://onlinelibrary.wiley.com/doi/pdf/10.1002/cplx.20304},
year = {2010}
}

@inbook{glavin2014,
author = {Stephen Glavin and Abhijit Sengupta},
year = {2014},
month = {10},
pages = {},
title = {Modelling Consumer Goods Markets: An Agent Based Approach},
isbn = {9781466665477},
doi = {10.4018/978-1-4666-6547-7}
}